> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a GatewayConfig.

> Update an existing GatewayConfig. All fields are optional.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json post /v1/gateway-configs/{id}
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/gateway-configs/{id}:
    post:
      tags:
        - gateway-configs
      summary: Update a GatewayConfig.
      description: Update an existing GatewayConfig. All fields are optional.
      operationId: updateGatewayConfig
      parameters:
        - name: id
          in: path
          description: The unique identifier of the GatewayConfig to update.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GatewayConfigUpdateParameters'
      responses:
        '200':
          description: GatewayConfig updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayConfigView'
        '400':
          description: Bad request. Invalid parameters.
        '401':
          description: Unauthorized. Invalid or missing authentication.
        '403':
          description: Forbidden. Account does not have devbox capability.
        '404':
          description: GatewayConfig not found.
        '500':
          description: Internal server error.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            const gatewayConfigView = await client.gatewayConfigs.update('id');

            console.log(gatewayConfigView.id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            gateway_config_view = client.gateway_configs.update(
                id="id",
            )
            print(gateway_config_view.id)
components:
  schemas:
    GatewayConfigUpdateParameters:
      type: object
      description: >-
        Parameters for updating an existing GatewayConfig. All fields are
        optional - only specified fields will be updated.
      properties:
        name:
          description: New name for the GatewayConfig. Must be unique within your account.
          type:
            - string
            - 'null'
        endpoint:
          description: New target endpoint URL (e.g., 'https://api.anthropic.com').
          type:
            - string
            - 'null'
        auth_mechanism:
          description: >-
            New authentication mechanism for applying credentials to proxied
            requests.
          anyOf:
            - $ref: '#/components/schemas/AuthMechanismView'
            - type: 'null'
        description:
          description: New description for this gateway configuration.
          type:
            - string
            - 'null'
    GatewayConfigView:
      type: object
      description: >-
        A GatewayConfig defines a configuration for proxying API requests
        through the agent gateway. It specifies the target endpoint and how
        credentials should be applied.
      properties:
        id:
          type: string
          description: The unique identifier of the GatewayConfig.
        account_id:
          description: The account ID that owns this config.
          type:
            - string
            - 'null'
        name:
          type: string
          description: >-
            The human-readable name of the GatewayConfig. Unique per account (or
            globally for system configs).
        endpoint:
          type: string
          description: The target endpoint URL (e.g., 'https://api.anthropic.com').
        auth_mechanism:
          $ref: '#/components/schemas/AuthMechanismView'
          description: How credentials should be applied to proxied requests.
        description:
          description: Optional description for this gateway configuration.
          type:
            - string
            - 'null'
        create_time_ms:
          type: integer
          format: int64
          description: Creation time of the GatewayConfig (Unix timestamp in milliseconds).
      required:
        - id
        - name
        - endpoint
        - auth_mechanism
        - create_time_ms
    AuthMechanismView:
      type: object
      description: >-
        Defines how credentials are applied to HTTP requests when proxying
        through the gateway.
      properties:
        type:
          type: string
          description: 'The type of authentication mechanism: ''header'', ''bearer''.'
        key:
          description: 'For ''header'' type: the header name (e.g., ''x-api-key'').'
          type:
            - string
            - 'null'
      required:
        - type
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````